Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1115)

Unified Diff: platform_tools/chromeos/bin/chromeos_make

Issue 18621004: Make ChromeOS build exit nonzero on failure (Closed) Base URL: http://skia.googlecode.com/svn/trunk/
Patch Set: Created 7 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « platform_tools/chromeos/bin/build_skia_in_chroot ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/chromeos/bin/chromeos_make
===================================================================
--- platform_tools/chromeos/bin/chromeos_make (revision 10012)
+++ platform_tools/chromeos/bin/chromeos_make (working copy)
@@ -68,13 +68,14 @@
pushd ${CHROMEOS_CHROOT}
cros chrome-sdk --nogoma --board ${deviceID} --debug -- /bin/sh -c "cd ${SKIA_TOP_DIR}; platform_tools/chromeos/bin/build_skia_in_chroot ${makeVars}"
-returnVal=$?
popd > /dev/null
# Clean up
rm ${CHROMEOS_CHROOT}/.gclient
-if [ "${returnVal}" != "0" ]
-then
- exit 1;
+if [ -f .cros_build_successful ]; then
+ rm -rf .cros_build_successful
+ exit 0
fi
+
+exit 1
« no previous file with comments | « platform_tools/chromeos/bin/build_skia_in_chroot ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698